#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 monad-par
version:              0.3.5
visibility:           public
id:                   monad-par-0.3.5-9SdDcXmaBoQC9NmNTog06g
key:                  monad-par-0.3.5-9SdDcXmaBoQC9NmNTog06g
license:              BSD-3-Clause
copyright:            (c) Simon Marlow 2011
maintainer:
    Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>

author:               Simon Marlow, Ryan Newton
stability:            Experimental
homepage:             https://github.com/simonmar/monad-par
synopsis:             A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.

    For complete documentation see "Control.Monad.Par".

    Some examples of use can be found in the @examples/@ directory of
    the source package.

    Other related packages:

    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.

    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.

    Changes in 0.3.4 relative to 0.3:

    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.

    * Added "Control.Monad.Par.IO"

category:             Control,Parallelism,Monads
abi:                  afe65bd42d677d95f1f80e09ccec58cd
exposed:              True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal

hidden-modules:       Control.Monad.Par.Scheds.DirectInternal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/monad-par-0.3.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/monad-par-0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-monad-par
hs-libraries:         HSmonad-par-0.3.5-9SdDcXmaBoQC9NmNTog06g
depends:
    abstract-deque-0.3-Bh80lTxo5ZqFixTnfADLhR
    abstract-par-0.3.3-EfoGrzx9JcdJf5mY5rKdWk array-0.5.4.0
    base-4.15.1.0 containers-0.6.4.1 deepseq-1.4.5.0
    monad-par-extras-0.3.3-JW7FwrD9Iwy5xK5Z2Yydc7 mtl-2.2.2
    mwc-random-0.15.0.2-1clukEUvS6oHltYG951RK
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms

haddock-interfaces:   /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html:         /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

